function Viewer(xmlObj) {
	var xmlDoc = xmlObj;
	
	this.getImageResource = function(resourcename, coords, imagesize) {
		return 'blank.gif';
	}

	this.getImageMapResource = function(resourcename, coords, imagesize) {
		return '';
	}

	this.getLegend = function(resourcename) {
		return '';
	}

	this.onVerify = function() {
		return '';
	}

	this.onError = function(errorMsg,errorUrl) {
		if(confirm('Error! '+errorMsg+' Press OK to see the error or CANCEL to close this box.')) {
			window.open(errorUrl);
		}
	}
}
